> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Ar list collection activities

> Ar list collection activities

### Query parameters

<ParamField query="invoice_id" type="string" />

<ParamField query="customer_id" type="string" />

<ParamField query="activity_type" type="string">
  One of `dunning_letter_sent`, `phone_call`, `email`, `in_person_visit`,
  `promise_to_pay`, `payment_plan_created`, `sent_to_collections`,
  `write_off_approved`, `dispute_logged`, `dispute_resolved`, `note`.
</ParamField>

<ParamField query="limit" type="integer (int32)" />

<ParamField query="offset" type="integer (int32)" />

### Responses

<ResponseField name="200" type="ArCollectionActivityListResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/ar/collection-activities' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "activities": [
      {
        "activity_type": "string",
        "contact_method": null,
        "contact_result": null,
        "created_at": "string",
        "customer_id": "string",
        "dunning_letter_type": null,
        "id": "string",
        "invoice_id": "string",
        "notes": null,
        "performed_by": null,
        "promise_to_pay_amount": null,
        "promise_to_pay_date": null
      }
    ],
    "total": 1
  }
  ```
</ResponseExample>
